########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/lib.4gs/al_ckrgn.4gl  1.1  Delta: 1/4/91
########################################################################

database standard

#######################################################################
function valid_cash_acct(cash_acct_no, cash_department)
# validates a cash_account/cash_department combination.
#######################################################################
# return true if account number and department is defined as
# a cash account in the check register table
#
    define
        cash_acct_no like stxckrgr.acct_no,
        cash_department like stxckrgr.department,
        num_rows smallint

    select count(*) into num_rows from stxckrgr 
      where stxckrgr.acct_no = cash_acct_no and
            stxckrgr.department = cash_department 

    if num_rows > 0 then return true end if

    return false

end function
# valid_cash_acct()
