########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/al_deptn.4gl  1.5  Delta: 2/4/91
########################################################################

database standard

############################################################
function al_deptn(dept)
# returns description
############################################################
# This function is passed a department code and, from that, 
# returns the department description.
#
    define
        dept    char(3),
        description char(30)

    # Trap fatal errors
    whenever error call error_handler

    select src_desc into description from stxinfor where
        src_type = "D" and src_key = dept
    if sqlca.sqlcode != 0
    then
        let sqlca.sqlcode = 0
        let description = "NOT FOUND"
    end if
    return description
end function
# al_deptn()
