########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/make_int.4gl  1.6  Delta: 1/4/91
########################################################################

database standard

#######################################################################
function make_int(some_num)
# returning new_num
#######################################################################
#
#  this program removes any 'trailing' zeros and the decimal point from 
#  the string representation of the numeric value after it has been 
#  returned from the dec_to_str() function, creating what looks like 
#  an integer, if the number IS an integer.
#  For example: '1500.00  ' would be converted to '1500'
#               '1500.02  ' would be converted to '1500.02'
#
#  the dec_to_str() function ALWAYS returns a decimal, never an integer,
#  so there is no need to check for an integer before stripping.
#
    define
         some_num char(14),      # string equivalent of incoming numeric
         new_num  char(14),      # string equivalent of returning integer
         working  smallint,      # boolean working variable
         n        smallint       # working integer variable

    let new_num = some_num
    let working = true
    let n = 14

    while working
          if new_num[n,n] = "0" or
             new_num[n,n] = "." or
             new_num[n,n] = " " or
             new_num[n,n] is null
          then
              if new_num[n,n] = "."
              then
                  let new_num[n,n] = " "
                  let working = false
              else
                  let new_num[n,n] = " "
                  let n = n - 1
              end if
          else
              let working = false
          end if
          if n = 0 then let working = false end if
    end while

return new_num clipped
end function
# make_int()
