########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/lib.4gs/xcontrol.4gl  1.6  Delta: 2/6/91
########################################################################

database standard

#######################################################################
function xcontrol()
# returns m_xcntrc record
#######################################################################
# This function reads the accounting control record, stxcntrc.*
# into m_xcntrc and returns m_xcntrc.  If the control record does
# not exist, for some reason, an error routine is called.
#
    define
        m_xcntrc record like stxcntrc.*  # record like the xcontrol file

    # Trap fatal errors
    whenever error call error_handler

    select * into m_xcntrc.* from stxcntrc
    if sqlca.sqlcode = notfound
    then
        # cannot read the accounting control table
        let sqlca.sqlcode = 0
        call fg_error("lib_all","xcontrol",1) 
    end if

    return m_xcntrc.*
end function
# xcontrol()
