########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/lib.4gs/ap_last.4gl  1.1  Delta: 1/4/91
########################################################################

globals "ap_glob.4gl"

########################################################################
function ap_last(post_or_check, doc_type, doc_amount, vend_code)
# returns true/false based on pass/fail of the routine
########################################################################
# this function is a "stub" function that does nothing.  its purpose is
# to inform calling programs that the a/p module is not
# installed.  this function resides in the basefiles library, and thus
# will only be linked into calling programs if a/p module
# really isn't installed.
#
# if a/p is installed after purchasing,
# the posting program(s) for those modules must be relinked to they
# will call the true ap_post function and not this stub.
#
#
    define
        post_or_check char(5),
        doc_type char(2),
        doc_amount like stgactvd.amount,
        vend_code like stxtranr.ref_code,
        sql_str char(150),
        quote char(1),
        stat_flag smallint

    # Trap fatal errors
    whenever error call error_handler

    let post_ap.ap_installed = "N"
    let post_ap.status = 1
    return true

end function
# ap_last()

