########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/lib.4gs/ap_post.4gl  1.1  Delta: 1/4/91
########################################################################

globals "ap_glob.4gl"

########################################################################
function ap_post(post_or_check, orig_journal, doc_no,
                 post_no, post_date, doc_date, ref_code, doc_desc,
                 inv_chk_no, doc_type,
                 act_type, inv_doc_no, amount, disc_date, disc_bal,
                 to_pay_amount, to_take_disc, to_pay_date, pay_to_code,
                 due_date, ap_acct_no, ap_department,
                 po_no, po_date, inv_date, cash_acct_no, cash_department)
# returns true/false based on pass/fail of the routine
########################################################################
# this function is a "stub" function that does nothing.  its purpose is
# to inform calling programs that the a/p module is not
# installed.  this function resides in the basefiles library, and thus
# will only be linked into calling programs if a/p module
# really isn't installed.
#
# if a/p is installed after purchasing,
# the posting program(s) for those modules must be relinked to they
# will call the true ap_post function and not this stub.
#
#
    define
        post_or_check char(5),
        orig_journal like stxtranr.orig_journal,
        doc_no like stxtranr.doc_no,
        post_no like stxtranr.post_no,
        post_date like stxtranr.post_date,
        doc_date like stxtranr.doc_date,
        ref_code like stxtranr.ref_code,
        doc_desc like stxtranr.doc_desc,
        inv_chk_no char(10),
        doc_type char(2),
        act_type char(1),
        inv_doc_no integer,
        amount like stgactvd.amount,
        disc_date date,
        disc_bal like stgactvd.amount,
        to_pay_amount like stgactvd.amount,
        to_take_disc like stgactvd.amount,
        to_pay_date date,
        pay_to_code char(6),
        due_date date,
        ap_acct_no integer,
        ap_department char(3),
        po_no char(10),
        po_date date,
        inv_date date,
        cash_acct_no integer,
        cash_department char(3),
        sql_str char(150),
        stat_flag smallint,
        doc_status smallint

    # Trap fatal errors
    whenever error call error_handler

    let post_ap.ap_installed = "N"
    let post_ap.status = 1
    return true

end function
# ap_post()
