########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/del_trx.4gl  1.7  Delta: 2/12/91
########################################################################
 
database standard

##################################################################
function del_trx(del_date)
# deletes all stxtranr data that does not have activity
##################################################################
# This function will delete all stxtranr data that
# have no joins to any other st?tranr tables
#
    define
        del_date date,
        p_table like systables.tabname,
        sel_stmt char(256),
        p_orig_journal like stxtranr.orig_journal,
        p_doc_no like stxtranr.doc_no,
        old_fname like stxaddld.filename,
        old_key like stxaddld.record_key, 
        sql_str char(256),
        quote char(1)

    let quote = "\""

    let sql_str = 
        " select orig_journal, doc_no from stxtranr ",
            "where doc_date <= ", quote, del_date, quote,
            " into temp del_xtranr"

    if is_4_0()
    then
        let sql_str = sql_str clipped, " with no log"
    end if

    prepare create_del from sql_str
    execute create_del

    declare table_curs cursor for
        select tabname from systables 
            where systables.tabname matches "st?tranr" 

    # remove all rows in temp table that have a join to st?tranr table
    foreach table_curs into p_table
        if p_table != "stxtranr"
        then
            let sel_stmt =
                "delete from del_xtranr ",
                  "where exists ",
                    "(select rowid from ",p_table clipped,
                    " where ",
                    p_table clipped, ".orig_journal = ", 
                    "del_xtranr.orig_journal and ",
                    p_table clipped, ".doc_no = del_xtranr.doc_no)"
            prepare del_1 from sel_stmt
            execute del_1
        end if
    end foreach 

    # remove all stxtranr that have no joins to any st?tables
    # remove all user defined information associated with the stxtranr
    declare udf_cur cursor for
        select orig_journal, doc_no from del_xtranr 

    foreach udf_cur into p_orig_journal, p_doc_no
        delete from stxtranr where
            stxtranr.orig_journal = p_orig_journal and
            stxtranr.doc_no = p_doc_no
        let old_fname = "stxtranr", p_orig_journal
        let old_key   = p_doc_no using "<<<<<<<<<<"
        call xfer_udf(old_fname,old_fname,old_key,old_key,"D")
    end foreach

end function
# del_trx
