########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/lib.4gs/per_warn.4gl  1.2  Delta: 2/8/91
########################################################################

database standard

############################################################
function per_warn(trans_date)
# returns true if date is not in current period
############################################################
# selects period from stxperdr (periods table) based on
# trans_date and compares that period with the current
# period.  warns user if date is not within parameters
# setup for current period, but allows them to continue,
# since past and future periods are permitted.
#
    define
         trans_date  date,
         sql_str     char(256),
         sel_period  like stxperdr.period,
         sel_year    like stxperdr.period_year,
         cur_per     like stxperdr.period,
         cur_year    like stxperdr.period_year
 
    let sql_str = "select period, period_year ",
                  "from stxperdr where start_date <= ?",
                  " and end_date >= ?",
                  " and period != '00'"

    prepare get_per_1 from sql_str
    declare per_curs_1 cursor for get_per_1
    open per_curs_1 using trans_date, trans_date
    fetch per_curs_1 into sel_period, sel_year
 
    if sqlca.sqlcode = notfound
    then
        close per_curs_1
        return true
    else
        close per_curs_1
        if table_exist("stgcntrc")
        then
            let sql_str = "select curr_period, curr_year ",
                          "from stgcntrc"
 
            prepare get_per_2 from sql_str
            declare per_curs_2 cursor for get_per_2
            open per_curs_2
            fetch per_curs_2 into cur_per, cur_year
            close per_curs_2

            if  sel_period = cur_per
              and sel_year = cur_year
            then
                return false
            else
                return true
            end if
        else
            return false
        end if
    end if

end function
# per_warn()
