########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../all.4gm/o_gldetl.4gs/globals.4gl  1.6  Delta: 1/15/91
########################################################################

database standard

globals
    define
        s_date like stxperdr.start_date,
        e_date like stxperdr.end_date,
        scratch char(2048),         # scratchpad
        progid   char(17),          # program identification
        p_sel_join   char(500),     # custom join portion of sel stmt
        rpt record                  # record for the report
            amount like stgactvd.amount,
            debit_credit like stgactvd.debit_credit,
            incr_with_crdt like stxchrtr.incr_with_crdt,
            co_name like stxcntrc.co_name,
            acct_period like stgtranr.acct_period,
            acct_year like stgtranr.acct_year,
            acct_no like stgactvd.acct_no,
            department like stgactvd.department,
            acct_desc like stxchrtr.acct_desc,
            orig_journal like stxtranr.orig_journal,
            doc_no like stxtranr.doc_no,
            doc_date like stxtranr.doc_date,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc,
            db_amount like stgactvd.amount,
            cr_amount like stgactvd.amount,
            head1 char(30),
            head2 char(62)
        end record,
        curs record                 # record like the cursor
            amount like stgactvd.amount,
            debit_credit like stgactvd.debit_credit,
            acct_period like stgtranr.acct_period,
            acct_year like stgtranr.acct_year,
            acct_no like stgactvd.acct_no,
            department like stgactvd.department,
            orig_journal like stxtranr.orig_journal,
            doc_no like stxtranr.doc_no,
            doc_date like stxtranr.doc_date,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc
        end record,
        curs_next record            # next row of cursor
            amount like stgactvd.amount,
            debit_credit like stgactvd.debit_credit,
            acct_period like stgtranr.acct_period,
            acct_year like stgtranr.acct_year,
            acct_no like stgactvd.acct_no,
            department like stgactvd.department,
            orig_journal like stxtranr.orig_journal,
            doc_no like stxtranr.doc_no,
            doc_date like stxtranr.doc_date,
            ref_code like stxtranr.ref_code,
            doc_desc like stxtranr.doc_desc
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

